Bug 613863 - RFE: Include more information in HTML title bar
RFE: Include more information in HTML title bar
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 21:39 EDT by Ruediger Landmann
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 01:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-07-12 21:39:10 EDT
Description of problem:
The page <title> in the <head> of HTML documents contains only the document title or the section title. The page title would be more useful for bookmarks if it contained 

* product name, product version, and document title for single-page HTML and the first page of multi-page HTML

* product name, product version, document title, and section title for subsequent pages of multi-page HTML


Version-Release number of selected component (if applicable):

2.1

How reproducible:

100%

Steps to Reproduce:
1. visit http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/index.html and http://docs.fedoraproject.org/en-US/Fedora/13/html/Installation_Guide/pt-Preparing_for_Installation.html
2. Note the title bars

  
Actual results:
The first title bar just says "Installation Guide" and the second title bar just says "Part I. Preparing for Installation"

Expected results:
The first title bar should say "Fedora 13 Installation Guide" and the second title bar should say "Fedora 13 Installation Guide -- Part I. Preparing for Installation"
Comment 1 Ruediger Landmann 2010-08-05 00:48:36 EDT
Additionally, the title bar for the html-single version here:

http://docs.fedoraproject.org/en-US/Fedora/13/html-single/Installation_Guide/index.html

says only "Installation Guide"

It would be more helpful to readers bookmarking the page if it were to say "Fedora 13 Installation Guide"
Comment 2 Jeff Fearn 2010-08-05 01:07:06 EDT
Although the suggested layout change looks good in some circumstances in English, it can not be applied well to translated texts.

Some languages require word order changes and some languages require the texts themselves to be changed based on order and/or surrounding words.

It's just not possible to handle this well given these constraints.

Note You need to log in before you can comment on or make changes to this bug.